# bdm::Particular_UI< T > Class Template Reference

The main userinfo template class. You should derive this class whenever you need a new userinfo of a class which is compound from smaller elements (all having its own userinfo class prepared). More...

`#include <user_info.h>`

List of all members.

## Public Member Functions
| Particular_UI (const string &class_name)
| default constructor, which is intentionally declared as private
bdmroot * | new_instance () const
| internal method assembling a typeless instance from components obtained by the 'AssemblyComponentsFromSetting()' method
## Static Public Attributes
static const Particular_UI< T > & | ui
## Static Private Member Functions
template<class T >
static T * | build (const Setting &element, const int index)
| Prototype of a UI builder. Return value is by the second argument since it type checking via `dynamic_cast`.
template<class T >
static T * | build (const Setting &element, const string &name)
template<class T >
static void | get (T &instance, const Setting &element, const string &name)
| This methods tries to build a new double matrix.
template<class T >
static void | get (T &instance, const Setting &element, const int index)
| This methods tries to build a new double matrix.
template<class T >
static void | get (Array< T > &array_to_load, const Setting &element, const string &name)
| This methods tries to build a new double matrix.
template<class T >
static void | get (Array< T > &array_to_load, const Setting &element, const int index)
| This methods tries to build a new double matrix.
template<class T >
static void | save (const T *const instance, Setting &element, const string &name="")
template<class T >
static void | save (const Array< T > &array_to_save, Setting &element, const string &name="")
| This methods tries to save a double vec.
static void | save (const mat &matrix, Setting &element, const string &name="")
| This methods tries to save a double matrix.
static void | save (const ivec &vec, Setting &element, const string &name="")
| This methods tries to save a double vec.
static void | save (const vec &vector, Setting &element, const string &name)
| This methods tries to save a double vector.

## Detailed Description

### template<typename T>
class bdm::Particular_UI< T >

The main userinfo template class. You should derive this class whenever you need a new userinfo of a class which is compound from smaller elements (all having its own userinfo class prepared).

## Member Data Documentation

template<typename T >

const Particular_UI<T>& bdm::Particular_UI< T >::ui`[static]`

the only instance of this class (each type T has its own instance) which is used as a factory for processing related UI

The documentation for this class was generated from the following file:

- user_info.h